Open CASCADE Technology: BRepBuilderAPI_FastSewing::NodeInspector Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
BRepBuilderAPI_FastSewing::NodeInspector Class Reference

This inspector will find a node nearest to the given point not far than on the given tolerance. More...

`#include <BRepBuilderAPI_FastSewing.hxx>`

Inheritance diagram for BRepBuilderAPI_FastSewing::NodeInspector:
[legend]

## Public Types
typedef Standard_Integer | Target
Public Types inherited from NCollection_CellFilter_InspectorXYZ
enum | { Dimension = 3 }
| Points dimension. More...
typedef gp_XYZ | Point
| Points type. More...

## Public Member Functions
| NodeInspector (const NCollection_Vector< FS_Vertex > &theVec, const gp_Pnt &thePnt, const Standard_Real theTol)
NCollection_CellFilter_Action | Inspect (const Target theId)
Target | GetResult ()
Public Member Functions inherited from NCollection_CellFilter_InspectorXYZ
Point | Shift (const Point &thePnt, Standard_Real theTol) const
| Auxiliary method to shift point by each coordinate on given value; useful for preparing a points range for Inspect with tolerance. More...

## Additional Inherited Members
Static Public Member Functions inherited from NCollection_CellFilter_InspectorXYZ
static Standard_Real | Coord (int i, const Point &thePnt)
| Access to co-ordinate. More...

## Detailed Description

This inspector will find a node nearest to the given point not far than on the given tolerance.

## Member Typedef Documentation

typedef Standard_Integer BRepBuilderAPI_FastSewing::NodeInspector::Target

## Constructor & Destructor Documentation

BRepBuilderAPI_FastSewing::NodeInspector::NodeInspector | ( | const NCollection_Vector< FS_Vertex > & | theVec,
|  | const gp_Pnt & | thePnt,
|  | const Standard_Real | theTol
| ) |  |

## Member Function Documentation

Target BRepBuilderAPI_FastSewing::NodeInspector::GetResult | ( |  | ) |
| inline

NCollection_CellFilter_Action BRepBuilderAPI_FastSewing::NodeInspector::Inspect | ( | const Target | theId | ) |

The documentation for this class was generated from the following file:

- BRepBuilderAPI_FastSewing.hxx